> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/view-item.md).

# View Item

When a product detail page opens, fire the following event

Copy

```
MagicPixel.recordEvent('mp_view_item', {
    currency: 'INR', // can be hard coded to INR
    value: 123.33, // the price of item
    items: [{\
        item_id: '<item id>',\
        item_name: '<product name>',\
        item_sku: '<style id of the item>',\
        price: 1.23, // float price\
        quantity: 1, // integer quantity\
        item_category: '<item category>',\
        index: 1, // since this is view item, hard coded to 1\
    }]
});
```

[PreviousEcommerce Events](broken://pages/660af312d050fa6f3f93b729df002af4c9c730f3) [NextView Item List](https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/view-item-list.md)

Last updated 13 minutes ago


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/view-item.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
